%define fontname roboto
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary: Roboto font
Summary(ja): Roboto フォント
Version: 20120823
Release: 1%{?_dist_release}
License: apache License 2.0
Group: User Interface/X
#URL: https://github.com/android/platform_frameworks_base/tree/master/data/fonts
URL: http://developer.android.com/design/downloads/index.html
Source0: Roboto_Hinted_%{version}.zip

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: unzip
Requires: %{name}-doc

%description
Roboto is new font that introduced with Android OS 4.0 
"Ice Cream Sandwich".

%description -l ja
Roboto は Android OS 4.0 "Ice Cream Sandwich" と
一緒に紹介された新しいフォントです。

%package doc
Summary: Robot font Documents
Summary(ja): Roboto フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Roboto font
includes enduser license.

%description -l ja doc
このパッケージには Roboto フォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -q -c -T 
%{_bindir}/unzip -oq %{SOURCE0}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%{_fontdir}/Roboto-*.ttf

%files doc
%doc COPYING.txt RobotoSpecimenBook.pdf

%changelog
* Sun Oct 13 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20120823-1
- new upstream release
- changed URL and Source
  - added BuildRequires: unzip
  - changed versioning

* Sat Jan 28 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0-1
- initial build for VineSeed
