Summary: Vine themes for GNOME
Summary(ja): GNOME 用 Vine テーマ
Name: gnome-themes-vine
Version: 3.6.0
Release: 1%{?_dist_release}
License: GPLv2
Group: User Interface/Desktops

Source0: metatheme-vine-7.tar.xz
Source1: icon-theme-vine-6.tar.bz2
Source2: cursor-theme-vine-7.tar.xz

BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

Requires(post): gtk3 >= 3.0.0

Vendor: Project Vine
Distribution: Vine Linux

%description
Contains the vine themes for Gnome desktop environment.

%description -l ja
このパッケージにはGNOMEデスクトップ環境用 Vine テーマが含まれます。 

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir $RPM_BUILD_ROOT%{_datadir}/themes
mkdir $RPM_BUILD_ROOT%{_datadir}/icons

# install Vine
tar xJvf %{SOURCE0} -C $RPM_BUILD_ROOT%{_datadir}/themes
tar xzvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/icons
tar xJvf %{SOURCE2} -C $RPM_BUILD_ROOT%{_datadir}/icons

# remove audio, battery icons
for file in `find $RPM_BUILD_ROOT%{_datadir}/icons/Vine/ | egrep "audio|battery"`; do 
	rm -f $file
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /usr/bin/gtk-update-icon-cache ]; then
  for dir in /usr/share/icons/*; do
    if [ -d "$dir" -a -f "$dir/index.theme" ]; then
        /usr/bin/gtk-update-icon-cache --quiet $dir ||:
    fi
  done
fi


%files
%defattr(-,root,root)
%{_datadir}/icons/*
%{_datadir}/themes/*

%changelog
* Sat Oct 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- divide package from gnome-themes
