Summary:	Lua scripts for libquvi
Summary(ja):	libquvi 用 Lua スクリプト集
Name:		libquvi-scripts
Version:	0.4.9
Release:	1%{?_dist_release}
Source0:	%{name}-%{version}.tar.xz
License:	LGPLv2.1+
Group:		Applications/Internet 
URL:		http://quvi.sourceforge.net/ 

BuildRequires:	gzip
BuildRequires:	curl-devel
BuildRequires:	lua-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
libquvi-scripts contains the embedded lua scripts that libquvi uses for parsing
the media details. Some additional utility scripts are also included.


%package devel
Summary:        Development tools for libquvi-scripts
Summary(ja):    libquvi-scripts の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the
libquvi-scripts.


%prep
%setup -q


%build
%configure --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

gzip $RPM_BUILD_ROOT%{_mandir}/man7/libquvi-scripts.7


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files 
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_datadir}/%{name}
%{_mandir}/man7/libquvi-scripts.7.gz

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/libquvi-scripts.pc

%changelog
* Sun Nov 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.9-1
- new upstream release

* Sun Apr 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.4-1
- initial build for Vine Linux

