# -*- coding: utf-8 -*-

# stop strip
%define __spec_install_post /usr/lib/rpm/brp-compress || :

Summary:	Skype Internet Telephony
Summary(ja): 	Skype インターネット・テレフォニー
Name:		Skype
Version:	4.1.0.20
Release: 	1%{?_dist_release}
Source0:	http://download.skype.com/linux/skype-%{version}.tar.bz2
Source1:	vine-skype.desktop

License:	non-free
Group:		Applications/Internet
URL:		http://www.skype.com/

BuildRequires: desktop-file-utils

BuildRoot:    %{_tmppath}/%{name}-%{version}-root

Distribution: Vine Linux
Vendor:       Project Vine
Packager:     iwaim

%description
Skype Internet Telephony

%description -l ja
Skype インターネット・テレフォニー


%prep
%setup -q -n skype-%{version}
%{__cp} %{SOURCE1} .

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_datadir}/skype
%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
%{__mkdir_p} %{buildroot}%{_sysconfdir}/dbus-1/system.d/

%{__install} -m 0755 skype %{buildroot}%{_bindir}

%{__install} -m 0644 skype.conf %{buildroot}%{_sysconfdir}/dbus-1/system.d/

%{_bindir}/desktop-file-install --dir=%{buildroot}%{_datadir}/applications vine-skype.desktop

%{__install} -m 0644 icons/SkypeBlue_16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/skype.png
%{__install} -m 0644 icons/SkypeBlue_32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/skype.png
%{__install} -m 0644 icons/SkypeBlue_48x48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/skype.png

%{__cp} -a sounds  %{buildroot}%{_datadir}/skype
%{__cp} -a lang    %{buildroot}%{_datadir}/skype
%{__cp} -a avatars %{buildroot}%{_datadir}/skype

%check
%{_bindir}/desktop-file-validate %{buildroot}%{_datadir}/applications/vine-skype.desktop

%post
if [ -x %{_bindir}/update-desktop-database ] ; then
%{_bindir}/update-desktop-database %{_datadir}/applications
fi
# recreate icon cache
touch --no-create %{_datadir}/icons/hicolor || :
[ -x %{_bindir}/gtk-update-icon-cache ] && \
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
if [ -x %{_bindir}/update-desktop-database ] ; then
%{_bindir}/update-desktop-database %{_datadir}/applications
fi
# recreate icon cache
touch --no-create %{_datadir}/icons/hicolor || :
[ -x %{_bindir}/gtk-update-icon-cache ] && \
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README LICENSE skype.conf
%{_bindir}/skype
%{_sysconfdir}/dbus-1/system.d/
%{_datadir}/applications/vine-skype.desktop
%{_datadir}/icons/hicolor/*/apps/skype.png
%{_datadir}/skype

%changelog
* Fri Nov 16 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 4.1.0.20-1
- update to 4.1.0.20

* Fri May 18 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.99-1
- update to 2.2.0.99

* Wed Jan  4 2012 IWAI, Masaharu <iwai@alib.jp> 2.2.0.35-1
- first release for Vine Linux
