Summary: Virtual package for GNOME
Summary(ja): GNOME バーチャルパッケージ
Name: task-gnome
Version: 3.6.1
Release: 3%{?_dist_release}
License: GPL
Group: User Interface/Desktops

Vendor: Project Vine
Distribution: Vine Linux
Packager: Daisuke SUZUKI <daisuke@linux.or.jp>, Takemikaduchi

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
Obsoletes: task-gnome2 < 2.2.0, task-gnome2-devel < 2.2.0
Obsoletes: task-nautilus
Provides: task-gnome3 = %{version}-%{release}

# libraries
Requires: GConf2 >= 3.2.5
Requires: atk >= 2.6.0
Requires: cairo >= 1.12.4
Requires: cogl >= 1.12.0
Requires: clutter >= 1.12.2
Requires: clutter-gtk >= 1.4.0
Requires: pango >= 1.30.1
Requires: glib2 >= 2.34.1
Requires: gdk-pixbuf2 >= 2.26.4
Requires: gobject-introspection >= 1.34.1
Requires: gjs >= 1.34.0
Requires: gtk2 >= 2.24.13
Requires: gtk3 >= 3.6.1
Requires: gtksourceview3 >= 3.6.0
Requires: libgnome >= 2.32.0
Requires: libgnome-keyring >= 3.6.0
Requires: libgnomekbd >= 3.6.0
Requires: libgweather >= 3.6.1
Requires: libgtop2 >= 2.28.4
Requires: librsvg2 >= 2.36.4
Requires: libsecret >= 0.11
Requires: libsoup >= 2.40.1
Requires: libwnck3 >= 3.4.3
Requires: libxklavier >= 5.3
Requires: libxml2 >= 2.9.0
Requires: libxml2-python >= 2.9.0
Requires: libxslt >= 1.1.27
Requires: pygobject3 >= 3.4.1
Requires: vte3 >= 0.34.1

# support utilities/libs
Requires: dconf >= 0.14.0
Requires: gtk2-engines >= 2.20.1
Requires: gtk3-engines >= 2.91.1
Requires: gamin >= 0.1.10
Requires: gstreamer >= 0.10.36
Requires: gstreamer-plugins-base >= 0.10.36
Requires: gstreamer-plugins-good >= 0.10.31
Requires: gstreamer1 >= 1.0.1
Requires: gstreamer1-plugins-base >= 1.0.1
Requires: gstreamer1-plugins-good >= 1.0.1
Requires: gstreamer1-plugins-bad-free >= 1.0.1
Requires: hicolor-icon-theme >= 0.12
Requires: gnome-themes >= 3.0.0
Requires: gnome-themes-standard >= 3.6.1
Requires: gnome-themes-vine >= 3.6.0
Requires: desktop-file-utils >= 0.21
Requires: pulseaudio >= 2.1
Requires: pulseaudio-utils >= 2.1
Requires: pulseaudio-module-x11 >= 2.1
Requires: startup-notification >= 0.12
Requires: usermode >= 1.107
Requires: usermode-gtk >= 1.107
Requires: gvfs >= 1.14.1
Requires: gvfs-afc >= 1.14.1
Requires: gvfs-archive >= 1.14.1
Requires: gvfs-fuse >= 1.14.1
Requires: gvfs-gphoto2 >= 1.14.1
Requires: gvfs-obexftp >= 1.14.1
Requires: gvfs-smb >= 1.14.1

# applications
Requires: NetworkManager >= 0.9.6.0
Requires: NetworkManager-gnome >= 0.9.6.0
Requires: banshee >= 2.6.0
Requires: baobab >= 3.6.2
Requires: brasero >= 3.6.0
Requires: brasero-libs >= 3.6.0
Requires: brasero-nautilus >= 3.6.0
Requires: caribou >= 0.4.4
Requires: cheese >= 3.6.1
Requires: control-center >= 3.6.1
Requires: eog >= 3.6.1
Requires: epiphany >= 3.6.1
Requires: evince >= 3.6.1
Requires: evince-dvi >= 3.6.1
Requires: evolution >= 3.6.1
Requires: evolution-bogofilter >= 3.6.1
Requires: evolution-data-server >= 3.6.1
Requires: evolution-data-server-doc >= 3.6.1
Requires: evolution-help >= 3.6.1
Requires: evolution-spamassassin >= 3.6.1
Requires: file-roller >= 3.6.1
Requires: gconf-editor >= 3.0.1
Requires: gdm >= 3.6.1
Requires: gedit >= 3.6.1
Requires: gimp >= 2.8.2
Requires: gnome-applets >= 3.5.92
Requires: gnome-color-manager >= 3.6.0
Requires: gnome-desktop3 >= 3.6.1
Requires: gnome-dictionary >= 3.6.0
Requires: gnome-disk-utility >= 3.6.1
Requires: gnome-font-viewer >= 3.6.0
Requires: gnome-games >= 3.6.1
Requires: gnome-icon-theme >= 3.6.0
Requires: gnome-icon-theme-symbolic >= 3.6.0
Requires: gnome-keyring >= 3.6.1
Requires: gnome-keyring-pam >= 3.6.1
Requires: gnome-mime-data >= 2.18.0
Requires: gnome-panel >= 3.6.0
Requires: gnome-power-manager >= 3.6.0
Requires: gnome-screenshot >= 3.6.0
Requires: gnome-search-tool >= 3.6.0
Requires: gnome-session >= 3.6.1
Requires: gnome-settings-daemon >= 3.6.1
Requires: gnome-shell >= 3.6.1
Requires: gnome-system-log >= 3.6.0
Requires: gnome-system-monitor >= 3.6.1
Requires: gnome-terminal >= 3.6.1
Requires: gnome-tweak-tool >= 3.6.1
Requires: gnome-user-docs >= 3.6.1
Requires: grilo >= 0.2.2
Requires: gsettings-desktop-schemas >= 3.6.0
Requires: gucharmap >= 3.6.0
Requires: ibus-gtk3 >= 1.4.99.20121006
Requires: inkscape >= 0.48.3.1
Requires: metacity >= 2.34.13
Requires: mutter >= 3.6.1
Requires: nautilus >= 3.6.1
Requires: seahorse >= 3.6.1
Requires: shotwell >= 0.13.1
Requires: sound-juicer >= 3.5.0
Requires: tomboy >= 1.12.1
Requires: totem >= 3.6.0
Requires: totem-pl-parser >= 3.4.2
Requires: tracker >= 0.14.2
Requires: vinagre >= 3.1.4
Requires: vine-menus >= 3.1
Requires: vino >= 3.6.1
Requires: yelp >= 3.6.1
Requires: yelp-tools >= 3.6.1
Requires: yelp-xsl >= 3.6.1
Requires: zenity >= 3.6.0


Obsoletes: bonobo-activation
Obsoletes: fontilus, themus
Conflicts: ee
Obsoletes: ee
Conflicts: gnome-vfs < 1.0.5
Conflicts: sawfish <= 1.1
Obsoletes: sawfish <= 1.1

%description
This is a virtual package to install GNOME3 system packages.
If you use apt-get for RPM, This package will install
all packages related to GNOME3 automatically.
** This is experimental package **

%description -l ja
GNOME を簡単にインストールするための仮想パッケージです。
apt-get を使ってこのパッケージをインストールすることで、
関連する GNOME パッケージをすべてインストールすることができます。

%package devel
Summary: Development files for GNOME3 virtual package
Summary: GNOME3 開発用バーチャルパッケージ
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: GConf2-devel >= 3.2.5
Requires: atk-devel >= 2.6.0
Requires: cairo-devel >= 1.12.4
Requires: cogl-devel >= 1.12.0
Requires: clutter-devel >= 1.12.2
Requires: clutter-gtk-devel >= 1.4.0
Requires: pango-devel >= 1.30.1
Requires: glib2-devel >= 2.34.1
Requires: gdk-pixbuf2-devel >= 2.26.4
Requires: gobject-introspection-devel >= 1.34.1
Requires: gjs-devel >= 1.34.0
Requires: gtk2-devel >= 2.24.13
Requires: gtk3-devel >= 3.6.1
Requires: gtksourceview3-devel >= 3.6.0
Requires: libgnome-devel >= 2.32.0
Requires: libgnome-keyring-devel >= 3.6.0
Requires: libgnomekbd-devel >= 3.6.0
Requires: libgweather-devel >= 3.6.1
Requires: libgtop2-devel >= 2.28.4
Requires: librsvg2-devel >= 2.36.4
Requires: libsecret-devel >= 0.11
Requires: libsoup-devel >= 2.40.1
Requires: libwnck3-devel >= 3.4.3
Requires: libxklavier-devel >= 5.3
Requires: libxml2-devel >= 2.9.0
Requires: libxslt-devel >= 1.1.27
Requires: pygobject3-devel >= 3.4.1
Requires: vte3-devel >= 0.34.1
Requires: brasero-devel >= 3.6.0
Requires: gnome-settings-daemon-devel >= 3.6.1
Requires: evince-devel >= 3.6.1
Requires: evolution-devel >= 3.6.1
Requires: evolution-data-server-devel >= 3.6.1
Requires: gucharmap-devel >= 3.6.0
Requires: libsoup-devel >= 2.40.1
Requires: grilo-devel >= 0.2.2
Requires: totem-pl-parser-devel >= 3.4.2
Requires: metacity-devel >= 2.34.13


%description devel
This is a virtual package for GNOME3 development files.


%files

%files devel

%changelog
* Sun Oct 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-3
- fix Requires of task-gnome
  - add NetworkManager-gnome

* Wed Oct 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-2
- fix Requires of task-gnome
  - add banshee, epiphany, inkscape, pulseaudio, pulseaudio-utils, pulseaudio-module-x11

* Sun Oct 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- update for gnome-3.6.1
  - remove unused packages

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- update for gnome-3.1.4
  - added GNOME3 packages

* Sun Oct 10 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- update for gnome-2.32.0
- fix Requires of task-gnome
  - add gdk-pixbuf2, seahorse
- fix Requires of task-gnome-devel
  - add gdk-pixbuf2-devel

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- update for gnome-2.30.2
- fix Requires of task-gnome
  - remove eel2, totem-common, totem-gstreamer, gstreamer-plugins
  - add libgnome-keyring, gstreamer-plugins-base, gstreamer-plugins-good, gvfs-afc
- fix Requires of task-gnome-devel
  - remove eel2-devel
  - add libgnome-keyring-devel

* Mon May 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- spec in utf-8, new versioning policy
- update for gnome-2.26.1
- add gvfs, brasero, evince, evolution, file-roller,
  gucharmap, sound-juicer, totem, vinagre, vino,
  cheese, zenity
- remove obsolete components

* Sat Sep  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.2-0vl1
- update for gnome-2.14.2
- use gamin instead of fam
- changed devel Group to Development/Libraries

* Sat May 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- update for gnome-2.10
- remove nautilus-media

* Wed Jun 23 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl3
- update versions

* Sun Jun  6 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl2
- obsoletes bonobo-activation*

* Mon Jan 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- add gdm

* Sun May 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl3
- add obsolete fontulus/themus that is nou included in control-center-2.3

* Mon May 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl2
- add obsolete sawfish/ee

* Sun May 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- gnome-2.2.1

* Sun Jan 26 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl0.1
- gnome-2.2 prerelease

* Wed Jan 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl5
- add gstreamer-plugins, nautilus-media
- update required versions.

* Sun Jan 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl4
- add gstreamer, gnome-media

* Sat Jan 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl3
- remove Requires: gnome-vfs-devel from devel package.

* Sat Jan 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl2
- fixed typo

* Sat Jan 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl1
- add version number to dependancies.

* Sun Jan  5 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl4
- add fontilus, esound

* Sat Jan  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl3
- modified Requires.

* Sat Dec 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl2
- add task-gnome2-devel sub package.

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- initial package

