Summary:	D-Bus Debugger
Summary(ja):	D-Bus デバッガ
Name:		d-feet
Version:	0.1.15
Release:	1%{?_dist_release}
License:	GPLv2
Group:		User Interface/Deskops
URL:		https://live.gnome.org/DFeet/
BuildArch:	noarch

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.1/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	dbus-python-devel
BuildRequires:	pygtk2-devel
BuildRequires:	python-setuptools

Requires:	pygtk2
Requires:	dbus-python


Requires(postun,posttrans):	desktop-file-utils

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
D-Feet is an easy to use D-Bus debugger. D-Feet can be used to inspect D-Bus
interfaces of running programs and invoke methods on those interfaces. 

%description -l ja
D-Feet は簡単に使える D-Bus デバッガです。D-Feet は実行中のプログラムの D-Bus
インタフェースを調べたり、これらのインタフェースのメソッドを呼び出すときに
使えるプログラムです。

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  update-desktop-database -q &> /dev/null ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:


%files
%defattr(-,root,root,-)
%doc COPYING README NEWS
%{_bindir}/%{name}
%{python_sitelib}/d_feet-%{version}-py2.7.egg-info
%{python_sitelib}/dfeet
%{_datadir}/applications/dfeet.desktop
%{_datadir}/dfeet
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Sat Oct 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.15-1
- initial build
