Summary: Base gnome icons
Summary(ja): 基本 GNOME アイコン
Name: gnome-icon-theme
Version: 3.6.2
Release: 1%{?_dist_release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/gnome-icon-theme/3.6/%{name}-%{version}.tar.xz
#Source10: %{name}-ja.po
License: GPL
BuildArch: noarch
Group: User Interface/Desktops
Requires: hicolor-icon-theme
Requires(post): gtk2
BuildRequires: icon-naming-utils >= 0.8.7
BuildRequires: gtk2
BuildRequires: pkgconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Contains the base icons needed by the Gnome desktop environment.

%description -l ja
GNOME デスクトップ環境で必要とする基本的なアイコンが含まれています.

%prep
%setup -q
#cp po/ja.po po/ja.po.orig
#cp -f %{SOURCE10} po/ja.po

%build
%configure --disable-hicolor-check

%install
rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  for dir in /usr/share/icons/*; do
    if [ -d "$dir" -a -f "$dir/index.theme" ]; then
      /usr/bin/gtk-update-icon-cache --quiet $dir ||:
    fi
  done
fi
		  

%files
%defattr(-,root,root)
%doc COPYING NEWS
%{_datadir}/icons/gnome
%{_datadir}/pkgconfig/*.pc

%changelog
* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release

* Thu Sep 27 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Sat Mar 31 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release

* Thu Oct 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1.2-1
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-1
- new upstream release

* Sat May 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.31.0-2
- rebuild with icon-naming-utils-0.8.90

* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.31.0-1
- new upstream release

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.3-2
- rebuild with rpm-4.8.1 for pkg-config file

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.3-1
- new upstream release

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release
- add BuildRequires: pkgconfig

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream release

* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Sat Mar 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Tue Dec 11 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.0-0vl1
- new upstream release
- added Requires(post): gtk2

* Fri May 11 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.18.0-0vl2
- add BuildRequires: icon-naming-utils >= 0.8.1

* Wed Apr 25 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-0vl1
- new upstream release

* Thu Aug 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl3
- check availability of gtk-update-icon-cache in %%post

* Sat Apr 01 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl2
- run gtk-update-icon-cache in %%post script.

* Wed Mar 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Sat Oct 08 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Thu Aug 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.90-0vl1
- new upstream release

* Tue Mar 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Sun Oct 24 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.9.0-0vl1
- new upstream release

* Wed Aug 28 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.3-0vl1
- new upstream release

* Sat Jan 10 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.9-0vl1
- new upstream release
- added Japanese summary and description

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.8-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.7-0vl1
- new upstream release

* Thu Jun 12 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.5-0vl1
- new upstream release

* Sun Apr  6 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.2-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.0-0vl1
- new upstream release

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.91-0vl1
- new upstream release

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.5-0vl1
- new upstream release

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.4-0vl1
- build for Vine Linux

* Wed Dec  4 2002 Alexander Larsson <alexl@redhat.com>
- Initial build.


